System.Web 2.0.0.0 System.Web.UI.WebControls.Parameter System.ComponentModel.DefaultProperty("QueryStringField")

You can use the class to bind the value of a field that is passed as part of an HTTP request query string to a parameter that is used in a parameterized query or command. The field is retrieved from the collection.

Controls that bind data to the parameter might throw an exception if a object is referenced, but no corresponding query-string name/value pair is passed. Similarly, they might display no data if the query-string field name is passed without a corresponding value. To avoid these situations, set the property where appropriate.

The class provides the property, which identifies the name of the query string value to bind to. It also provides the properties that are inherited from the class.

The class does not validate the value that is passed; it provides the raw value. However, you can validate the value of a object in a data source control. To do so, handle the Selecting, Updating, Inserting, or Deleting event of the data source control and check the parameter value in the event handler. If the value of the parameter does not pass the validation tests, you can cancel the data operation by setting the property of the associated class to true.

Binds the value of an HTTP request query-string field to a parameter object.

- Constructor

  A object that is created by using the constructor is initialized with default values for all its properties. The properties are initialized as follows:

  is initialized to an empty string ("").

  is initialized to an empty string ("").

  is initialized to .

  is initialized to .

  is initialized to null.

  Initializes a new unnamed instance of the class.

  2.0.0.0
- Constructor

  The constructor is a protected copy constructor that is used to clone a instance. The values of the , , and properties are transferred to the new instance.

  Initializes a new instance of the class, using the values of the instance that is specified by the parameter.

  A instance from which the current instance is initialized.
  2.0.0.0
- Constructor

  A object that is created by using the constructor is initialized with the specified parameter name that identifies the query-string field that the parameter binds to. The and properties are initialized with default values.

  Initializes a new named instance of the class, using the specified string to identify which query-string field to bind to.

  The name of the parameter.
  The name of the query-string field that the parameter object is bound to. The default is an empty string ("").
  2.0.0.0
- Constructor

  A object that is created by using the constructor is initialized with the specified parameter name, the parameter type, and a string that identifies the query-string field that the parameter binds to. The and properties are initialized with default values.

  Initializes a new named and strongly typed instance of the class, using the specified string to identify which query-string field to bind to.

  The name of the parameter.
  The type that the parameter represents. The default is .
  The name of the query-string field that the parameter object is bound to. The default is an empty string ("").
  2.0.0.0
- Method
  System.Web.UI.WebControls.Parameter

  The method calls the constructor to initialize a new instance of the class by using the values of the current instance.

  Returns a duplicate of the current instance.

  A duplicate of the current instance.

  2.0.0.0
- Method
  System.Object `` `` To be added.

  The object tries to bind to the query-string field every time that the method is called.

  The parameter is used by the method to retrieve the value of the specified query-string field from the query string. The parameter is ignored.

  Updates and returns the value of the object.

  An object that represents the current value of the parameter. If the context or the request is null, the method returns null.

  A Web server control that is associated with the ASP.NET Web page where the object is used. 2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  The property identifies a name/value pair that is passed with the query string. The property identifies the name of the pair, whereas the property binds to its corresponding value at run time. If the expected query-string name/value pair is not passed to the page with the query string, the method then tries to bind the parameter to the value of the property. If the property is not set, the method fails to bind the parameter to a value.

  Gets or sets the name of the query-string field that the parameter binds to.

  2.0.0.0